Bug Hunting Session
Bug 91671 - vclptr crash when edit controls
Summary: vclptr crash when edit controls
Status: VERIFIED FIXED
Alias: None
Product: LibreOffice
Classification: Unclassified
Component: Base (show other bugs)
Version:
(earliest affected)
5.0.0.0.alpha0+ Master
Hardware: Other All
: medium critical
Assignee: David Tardon
URL:
Whiteboard: target:5.1.0 target:5.0.0.0.beta2
Keywords:
Depends on:
Blocks: VclPtr
  Show dependency treegraph
 
Reported: 2015-05-27 17:04 UTC by raal
Modified: 2016-10-25 19:24 UTC (History)
5 users (show)

See Also:
Crash report or crash signature:


Attachments

Note You need to log in before you can comment on or make changes to this bug.
Description raal 2015-05-27 17:04:27 UTC
Base
new file
forms -  new form in design mode
insert listbox control
right click -  control
close dialog
Crash

Crashes in
listbox
checkbox
textbox
push button
option button
combo box
etc...
probably all controls
Comment 1 raal 2015-05-27 17:06:13 UTC
Version: 5.1.0.0.alpha1+
Build ID: b9630867d17c01ec41f6461b1e96288f3932248c
TinderBox: Linux-rpm_deb-x86_64@46-TDF, Branch:master, Time: 2015-05-25_00:46:48
Comment 2 Commit Notification 2015-05-28 08:07:27 UTC
David Tardon committed a patch related to this issue.
It has been pushed to "master":

http://cgit.freedesktop.org/libreoffice/core/commit/?id=a14d7e3b41e1083edcebdeb3484e3cc6666dd63c

tdf#91671 avoid use of already disposed control

It will be available in 5.1.0.

The patch should be included in the daily builds available at
http://dev-builds.libreoffice.org/daily/ in the next 24-48 hours. More
information about daily builds can be found at:
http://wiki.documentfoundation.org/Testing_Daily_Builds
Affected users are encouraged to test the fix and report feedback.
Comment 3 Commit Notification 2015-05-28 08:08:50 UTC
David Tardon committed a patch related to this issue.
It has been pushed to "libreoffice-5-0":

http://cgit.freedesktop.org/libreoffice/core/commit/?id=ac633cec1b2b7d6f2ffaa128490f2b90f977b024&h=libreoffice-5-0

tdf#91671 avoid use of already disposed control

It will be available in 5.0.0.0.beta2.

The patch should be included in the daily builds available at
http://dev-builds.libreoffice.org/daily/ in the next 24-48 hours. More
information about daily builds can be found at:
http://wiki.documentfoundation.org/Testing_Daily_Builds
Affected users are encouraged to test the fix and report feedback.
Comment 4 raal 2015-05-31 19:47:12 UTC
no crash with Version: 5.1.0.0.alpha1+
Build ID: 1a8e9dae32997bf199dbd192058fcd8f187ddc49
TinderBox: Linux-rpm_deb-x86_64@46-TDF, Branch:master, Time: 2015-05-31_03:57:11

Thanks for the fix!